%define oname   Miam-Player

Name:           miam-player
Version:        0.8.0
Release:        %mkrel 4
Summary:        A nice music player
Group:          Sound/Players
License:        GPLv3+
URL:            http://www.miam-player.org/
# Repacked to remove windows packaging and dlls
Source0:        %{oname}-%{version}.tar.xz
Patch0:         miam-player-0.8.0-mga-qxt-x11-linking.patch
Patch1:         miam-player-0.8.0-mga-desktop.patch

BuildRequires:  imagemagick
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  qtav-devel
Requires:       qtbase5-database-plugin-sqlite

%description
Miam Player is a cross-platform open source music player based on Qt5:

 - Read .mp3, .m4a (MP4), .flac, .ogg, .oga (OGG Vorbis), .asf, .ape
   (Monkey Audio) and more
 - Read and edit lots of tags using Taglib
 - Customize everything: user interface, covers, shortcuts, buttons, themes
 - Fast and reliable (audio player is provided by VLC Media Player)

A plugin system makes it possible to extend the possibilites of the player.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1
rm -rf src/Core/3rdparty/{taglib,QtAV}

%build
%qmake_qt5 LIB_SUFFIX=%(echo %{_lib} | sed -e 's/lib//')
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Remove .so symlinks to prevent requiring devel libraries
rm -f %{buildroot}%{_libdir}/*.so

%files
%doc README.md
%{_bindir}/%{name}
%{_libdir}/libmiam-core.so.*
%{_libdir}/libmiam-library.so.*
%{_libdir}/libmiam-uniquelibrary.so.*
%{_libdir}/libmiam-tabplaylists.so.*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/application-x-miamplayer.png


%changelog
* Sun Jun 25 2017 akien <akien> 0.8.0-4.mga6
+ Revision: 1108424
- Rebuild for qtav 1.12.0

* Sat May 28 2016 akien <akien> 0.8.0-3.mga6
+ Revision: 1019237
- Fix desktop file
- Version 0.8.0
- Uses qtav instead of libvlc-qt
- Version 0.7.3

  + tv <tv>
    - rediff patch 0 for 0.7.3
    - rebuild for new libvlc-qt.so

* Sun Feb 22 2015 akien <akien> 0.7.0-2.mga5
+ Revision: 816395
- Add qtbase5-database-plugin-sqlite dependency

* Wed Feb 18 2015 akien <akien> 0.7.0-1.mga5
+ Revision: 815741
- imported package miam-player

